#!/bin/bash
#
# Build mrtrix3
#

# configure
${PYTHON} ./configure

# build
${PYTHON} ./build

# find python scripts and compiled scripts
touch ./bin-python.txt
touch ./bin-c.txt
for file_ in ./bin/*; do
  HEADER=$(head -c 21 ${file_})
  if [[ "${HEADER}" == "*/usr/bin/env python" ]]; then
    echo "${file_}" >> ./bin-python.txt
  else
    echo "${file_}" >> ./bin-c.txt
  fi
done
